> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Config

> ### Description
Gets the details of a evaluation config

### Details
This API can be used to get information about a single evaluation config by ID. To use this API, pass in the `id` that was returned from your Create Evaluation Config API call as a path parameter.

Review the response schema to see the fields that will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluation-configs/{evaluation_config_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-configs/{evaluation_config_id}:
    get:
      tags:
        - Evaluation Configs
      summary: Get Evaluation Config
      description: >-
        ### Description

        Gets the details of a evaluation config


        ### Details

        This API can be used to get information about a single evaluation config
        by ID. To use this API, pass in the `id` that was returned from your
        Create Evaluation Config API call as a path parameter.


        Review the response schema to see the fields that will be returned.
      operationId: GET-V4-/evaluation-configs/{evaluation_config_id}
      parameters:
        - name: evaluation_config_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            evaluation_config = client.evaluation_configs.retrieve(
                "evaluation_config_id",
            )
            print(evaluation_config.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tevaluationConfig, err := client.EvaluationConfigs.Get(context.TODO(), \"evaluation_config_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", evaluationConfig.ID)\n}\n"
components:
  schemas:
    EvaluationConfigResponse:
      properties:
        evaluation_type:
          $ref: '#/components/schemas/EvaluationConfigORMEvaluationTypeEnum'
          description: Evaluation type
        question_set_id:
          type: string
          title: Question Set Id
        studio_project_id:
          title: Studio Project Id
          type: string
        auto_evaluation_model:
          $ref: '#/components/schemas/AutoEvalBaseModelName'
          description: The name of the model to be used for auto-evaluation
        auto_evaluation_parameters:
          $ref: '#/components/schemas/AutoEvaluationParameters'
          description: Execution parameters for auto-evaluation
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      type: object
      required:
        - evaluation_type
        - question_set_id
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluationConfigORMEvaluationTypeEnum:
      type: string
      enum:
        - studio
        - llm_auto
        - human
        - llm_benchmark
      title: EvaluationConfigORMEvaluationTypeEnum
    AutoEvalBaseModelName:
      type: string
      enum:
        - gpt-4-32k-0613
        - gpt-4-turbo-preview
        - gpt-4-turbo-2024-04-09
        - gpt-4o-2024-05-13
        - gpt-4o
        - gpt-4o-mini-2024-07-18
        - gpt-4o-mini
        - gpt-4.1
        - gpt-4.1-mini
        - gpt-4.1-nano
        - gpt-5-nano
        - gpt-5-mini
        - gpt-5
        - gpt-5.1
        - gpt-5.2
        - o1
        - o1-mini
        - o3
        - o3-mini
        - o3-mini-2025-01-31
        - o4-mini
        - gpt-oss-120b
        - gpt-oss-20b
        - llama-3-70b-instruct
        - llama-3-1-70b-instruct
        - llama-3-70b-instruct-bedrock
      title: AutoEvalBaseModelName
    AutoEvaluationParameters:
      properties:
        temperature:
          title: Temperature
          type: number
          maximum: 2
          minimum: 0
        batch_size:
          title: Batch Size
          type: integer
          maximum: 25
          minimum: 1
      type: object
      title: AutoEvaluationParameters
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````